# Class CIM_NextService

NextService establishes a predecessor-successor relationship between two ConditioningService objects. This association is used to indicate the sequence of ConditioningServices required to process a particular type of traffic. Instances describe the various relationships between different ConditioningServices (such as classifiers, meters, droppers, etc.) that are used collectively to condition traffic. Both one-to-one and more complicated fan-in and/or fan-out relationships can be described. The Conditioning Services may feed one another directly, or they may be mapped to multiple 'next' Services based on the characteristics of the packet.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_NextService

## Direct Known Subclasses

CIM_NextScheduler
CIM_NextServiceAfterClassifierElement

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Association | boolean | true

Description

string

NextService establishes a predecessor-successor relationship between two ConditioningService objects. This association is used to indicate the sequence of ConditioningServices required to process a particular type of traffic. Instances describe the various relationships between different ConditioningServices (such as classifiers, meters, droppers, etc.) that are used collectively to condition traffic. Both one-to-one and more complicated fan-in and/or fan-out relationships can be described. The Conditioning Services may feed one another directly, or they may be mapped to multiple 'next' Services based on the characteristics of the packet.

UMLPackagePath | string | CIM::Network::QoS
Version | string | 2.7.0

## Class Properties

### Association References

Name | Class Origin | Reference Class
--- | --- | ---
FollowingService | CIM_NextService | CIM_ConditioningService
PrecedingService | CIM_NextService | CIM_ConditioningService

## Class Methods